org.opencv.text

## Class TextDetectorCNN

- java.lang.Object
- - org.opencv.text.TextDetector
  - - org.opencv.text.TextDetectorCNN

-     public class TextDetectorCNN
      extends TextDetector

- - ### Field Summary

    - ### Fields inherited from class org.opencv.text.TextDetector

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TextDetectorCNN(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextDetectorCNN` | `__fromPtr__(long addr)`
    `static TextDetectorCNN` | `create(java.lang.String modelArchFilename, java.lang.String modelWeightsFilename)`
    `void` | `detect(Mat inputImage, MatOfRect Bbox, MatOfFloat confidence)`
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.text.TextDetector

      `getNativeObjAddr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextDetectorCNN

          protected TextDetectorCNN(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static TextDetectorCNN __fromPtr__(long addr)

    - #### create

          public static TextDetectorCNN create(java.lang.String modelArchFilename,
                                               java.lang.String modelWeightsFilename)

    - #### detect

          public void detect(Mat inputImage,
                             MatOfRect Bbox,
                             MatOfFloat confidence)

      Overrides:
        `detect` in class `TextDetector`

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `TextDetector`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1